> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/api/stacks-blockchain-api/proof-of-transfer.md).

# Proof Of Transfer

Endpoints to get information about the Proof of Transfer consensus mechanism

## Get PoX transactions by burn block

> Retrieves a list of PoX transactions confirmed by a specific burn block

```json
{"openapi":"3.0.3","info":{"title":"Stacks Blockchain API","version":"9.6.0"},"tags":[{"name":"Proof of Transfer","description":"Endpoints to get information about the Proof of Transfer consensus mechanism"}],"servers":[{"url":"https://api.hiro.so/","description":"mainnet"}],"paths":{"/extended/v2/burn-blocks/{height_or_hash}/pox-transactions":{"get":{"operationId":"get_burn_block_pox_transactions","summary":"Get PoX transactions by burn block","tags":["Proof of Transfer"],"description":"Retrieves a list of PoX transactions confirmed by a specific burn block","parameters":[{"schema":{"minimum":0,"default":20,"maximum":30,"title":"Limit","type":"integer"},"in":"query","name":"limit","required":false,"description":"Results per page"},{"schema":{"minimum":0,"default":0,"title":"Offset","type":"integer"},"in":"query","name":"offset","required":false,"description":"Result offset"},{"schema":{"anyOf":[{"type":"string","enum":["latest"]},{"pattern":"^(0x)?[a-fA-F0-9]{64}$","title":"Burn block hash","description":"Burn block hash","type":"string"},{"title":"Burn block height","description":"Burn block height","type":"integer"}]},"in":"path","name":"height_or_hash","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["limit","offset","total","results"],"properties":{"limit":{"type":"integer"},"offset":{"type":"integer"},"total":{"type":"integer"},"results":{"type":"array","items":{"type":"object","required":["burn_block_height","burn_block_hash","tx_id","recipient","utxo_idx","amount"],"properties":{"burn_block_height":{"description":"Height of the burn block","type":"integer"},"burn_block_hash":{"description":"Hash of the burn block","type":"string"},"tx_id":{"description":"Transaction ID","type":"string"},"recipient":{"description":"Recipient address","type":"string"},"utxo_idx":{"description":"UTXO index","type":"integer"},"amount":{"description":"Amount","type":"string"}}}}}}}}},"4XX":{"description":"Default Response","content":{"application/json":{"schema":{"title":"Error Response","additionalProperties":true,"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Get PoX cycles

> Retrieves a list of PoX cycles

```json
{"openapi":"3.0.3","info":{"title":"Stacks Blockchain API","version":"9.6.0"},"tags":[{"name":"Proof of Transfer","description":"Endpoints to get information about the Proof of Transfer consensus mechanism"}],"servers":[{"url":"https://api.hiro.so/","description":"mainnet"}],"paths":{"/extended/v2/pox/cycles":{"get":{"operationId":"get_pox_cycles","summary":"Get PoX cycles","tags":["Proof of Transfer"],"description":"Retrieves a list of PoX cycles","parameters":[{"schema":{"minimum":0,"default":20,"maximum":60,"title":"Limit","type":"integer"},"in":"query","name":"limit","required":false,"description":"Results per page"},{"schema":{"minimum":0,"default":0,"title":"Offset","type":"integer"},"in":"query","name":"offset","required":false,"description":"Result offset"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["limit","offset","total","results"],"properties":{"limit":{"type":"integer"},"offset":{"type":"integer"},"total":{"type":"integer"},"results":{"type":"array","items":{"type":"object","required":["block_height","index_block_hash","cycle_number","total_weight","total_stacked_amount","total_signers"],"properties":{"block_height":{"type":"integer"},"index_block_hash":{"type":"string"},"cycle_number":{"type":"integer"},"total_weight":{"type":"integer"},"total_stacked_amount":{"type":"string"},"total_signers":{"type":"integer"}}}}}}}}},"4XX":{"description":"Default Response","content":{"application/json":{"schema":{"title":"Error Response","additionalProperties":true,"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Get PoX cycle

> Retrieves details for a PoX cycle

```json
{"openapi":"3.0.3","info":{"title":"Stacks Blockchain API","version":"9.6.0"},"tags":[{"name":"Proof of Transfer","description":"Endpoints to get information about the Proof of Transfer consensus mechanism"}],"servers":[{"url":"https://api.hiro.so/","description":"mainnet"}],"paths":{"/extended/v2/pox/cycles/{cycle_number}":{"get":{"operationId":"get_pox_cycle","summary":"Get PoX cycle","tags":["Proof of Transfer"],"description":"Retrieves details for a PoX cycle","parameters":[{"schema":{"type":"integer"},"in":"path","name":"cycle_number","required":true,"description":"PoX cycle number"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["block_height","index_block_hash","cycle_number","total_weight","total_stacked_amount","total_signers"],"properties":{"block_height":{"type":"integer"},"index_block_hash":{"type":"string"},"cycle_number":{"type":"integer"},"total_weight":{"type":"integer"},"total_stacked_amount":{"type":"string"},"total_signers":{"type":"integer"}}}}}},"4XX":{"description":"Default Response","content":{"application/json":{"schema":{"title":"Error Response","additionalProperties":true,"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Get signers in PoX cycle

> Retrieves a list of signers in a PoX cycle

```json
{"openapi":"3.0.3","info":{"title":"Stacks Blockchain API","version":"9.6.0"},"tags":[{"name":"Proof of Transfer","description":"Endpoints to get information about the Proof of Transfer consensus mechanism"}],"servers":[{"url":"https://api.hiro.so/","description":"mainnet"}],"paths":{"/extended/v2/pox/cycles/{cycle_number}/signers":{"get":{"operationId":"get_pox_cycle_signers","summary":"Get signers in PoX cycle","tags":["Proof of Transfer"],"description":"Retrieves a list of signers in a PoX cycle","parameters":[{"schema":{"minimum":0,"default":100,"maximum":250,"title":"Limit","type":"integer"},"in":"query","name":"limit","required":false,"description":"Results per page"},{"schema":{"minimum":0,"default":0,"title":"Offset","type":"integer"},"in":"query","name":"offset","required":false,"description":"Result offset"},{"schema":{"type":"integer"},"in":"path","name":"cycle_number","required":true,"description":"PoX cycle number"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["limit","offset","total","results"],"properties":{"limit":{"type":"integer"},"offset":{"type":"integer"},"total":{"type":"integer"},"results":{"type":"array","items":{"type":"object","required":["signing_key","signer_address","weight","stacked_amount","weight_percent","stacked_amount_percent","solo_stacker_count","pooled_stacker_count"],"properties":{"signing_key":{"type":"string"},"signer_address":{"description":"The Stacks address derived from the signing_key.","type":"string"},"weight":{"type":"integer"},"stacked_amount":{"type":"string"},"weight_percent":{"type":"number"},"stacked_amount_percent":{"type":"number"},"solo_stacker_count":{"description":"The number of solo stackers associated with this signer.","type":"integer"},"pooled_stacker_count":{"description":"The number of pooled stackers associated with this signer.","type":"integer"}}}}}}}}},"4XX":{"description":"Default Response","content":{"application/json":{"schema":{"title":"Error Response","additionalProperties":true,"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Get signer in PoX cycle

> Retrieves details for a signer in a PoX cycle

```json
{"openapi":"3.0.3","info":{"title":"Stacks Blockchain API","version":"9.6.0"},"tags":[{"name":"Proof of Transfer","description":"Endpoints to get information about the Proof of Transfer consensus mechanism"}],"servers":[{"url":"https://api.hiro.so/","description":"mainnet"}],"paths":{"/extended/v2/pox/cycles/{cycle_number}/signers/{signer_key}":{"get":{"operationId":"get_pox_cycle_signer","summary":"Get signer in PoX cycle","tags":["Proof of Transfer"],"description":"Retrieves details for a signer in a PoX cycle","parameters":[{"schema":{"type":"integer"},"in":"path","name":"cycle_number","required":true,"description":"PoX cycle number"},{"schema":{"type":"string"},"in":"path","name":"signer_key","required":true,"description":"Signer key"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["signing_key","signer_address","weight","stacked_amount","weight_percent","stacked_amount_percent","solo_stacker_count","pooled_stacker_count"],"properties":{"signing_key":{"type":"string"},"signer_address":{"description":"The Stacks address derived from the signing_key.","type":"string"},"weight":{"type":"integer"},"stacked_amount":{"type":"string"},"weight_percent":{"type":"number"},"stacked_amount_percent":{"type":"number"},"solo_stacker_count":{"description":"The number of solo stackers associated with this signer.","type":"integer"},"pooled_stacker_count":{"description":"The number of pooled stackers associated with this signer.","type":"integer"}}}}}},"4XX":{"description":"Default Response","content":{"application/json":{"schema":{"title":"Error Response","additionalProperties":true,"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Get stackers for signer in PoX cycle

> Retrieves a list of stackers for a signer in a PoX cycle

```json
{"openapi":"3.0.3","info":{"title":"Stacks Blockchain API","version":"9.6.0"},"tags":[{"name":"Proof of Transfer","description":"Endpoints to get information about the Proof of Transfer consensus mechanism"}],"servers":[{"url":"https://api.hiro.so/","description":"mainnet"}],"paths":{"/extended/v2/pox/cycles/{cycle_number}/signers/{signer_key}/stackers":{"get":{"operationId":"get_pox_cycle_signer_stackers","summary":"Get stackers for signer in PoX cycle","tags":["Proof of Transfer"],"description":"Retrieves a list of stackers for a signer in a PoX cycle","parameters":[{"schema":{"minimum":0,"default":100,"maximum":200,"title":"Limit","type":"integer"},"in":"query","name":"limit","required":false,"description":"Results per page"},{"schema":{"minimum":0,"default":0,"title":"Offset","type":"integer"},"in":"query","name":"offset","required":false,"description":"Result offset"},{"schema":{"type":"integer"},"in":"path","name":"cycle_number","required":true,"description":"PoX cycle number"},{"schema":{"type":"string"},"in":"path","name":"signer_key","required":true,"description":"Signer key"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["limit","offset","total","results"],"properties":{"limit":{"type":"integer"},"offset":{"type":"integer"},"total":{"type":"integer"},"results":{"type":"array","items":{"type":"object","required":["stacker_address","stacked_amount","pox_address","stacker_type"],"properties":{"stacker_address":{"type":"string"},"stacked_amount":{"type":"string"},"pox_address":{"type":"string"},"stacker_type":{"anyOf":[{"type":"string","enum":["solo"]},{"type":"string","enum":["pooled"]}]}}}}}}}}},"4XX":{"description":"Default Response","content":{"application/json":{"schema":{"title":"Error Response","additionalProperties":true,"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```

## Get PoX transactions for a burnchain address

> Retrieves a list of PoX transactions

```json
{"openapi":"3.0.3","info":{"title":"Stacks Blockchain API","version":"9.6.0"},"tags":[{"name":"Proof of Transfer","description":"Endpoints to get information about the Proof of Transfer consensus mechanism"}],"servers":[{"url":"https://api.hiro.so/","description":"mainnet"}],"paths":{"/extended/v2/addresses/{burnchain_address}/pox-transactions":{"get":{"operationId":"get_burnchain_address_pox_transactions","summary":"Get PoX transactions for a burnchain address","tags":["Proof of Transfer"],"description":"Retrieves a list of PoX transactions","parameters":[{"schema":{"minimum":0,"default":20,"maximum":30,"title":"Limit","type":"integer"},"in":"query","name":"limit","required":false,"description":"Results per page"},{"schema":{"minimum":0,"default":0,"title":"Offset","type":"integer"},"in":"query","name":"offset","required":false,"description":"Result offset"},{"schema":{"title":"Bitcoin Address","type":"string"},"in":"path","name":"burnchain_address","required":true,"description":"Bitcoin Address"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["limit","offset","total","results"],"properties":{"limit":{"type":"integer"},"offset":{"type":"integer"},"total":{"type":"integer"},"results":{"type":"array","items":{"type":"object","required":["burn_block_height","burn_block_hash","tx_id","recipient","utxo_idx","amount"],"properties":{"burn_block_height":{"description":"Height of the burn block","type":"integer"},"burn_block_hash":{"description":"Hash of the burn block","type":"string"},"tx_id":{"description":"Transaction ID","type":"string"},"recipient":{"description":"Recipient address","type":"string"},"utxo_idx":{"description":"UTXO index","type":"integer"},"amount":{"description":"Amount","type":"string"}}}}}}}}},"4XX":{"description":"Default Response","content":{"application/json":{"schema":{"title":"Error Response","additionalProperties":true,"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stacks.co/reference/api/stacks-blockchain-api/proof-of-transfer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
